post
https://sandbox.saner.secpod.com/AncorWebService/perform
Get all applicable Security Patches for remediation.
This method allows you to list all the missing security patches by group, hostname, or family for an account.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| accountid | Account identifier used to fetch applicable remediation patches | Yes | string |
| device | Hostname/device name to filter missing patches | No | array |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Patch.getApplicableRemediation(
accountid="Demo Account",
device=["device 1","device 2"]
)
print(response)
client.close()Requires Python 3.9 or later.